#!/system/bin/sh

SKIPMOUNT=false
PROPFILE=false
POSTFSDATA=false
LATESTARTSERVICE=true

# Construct your list in the following format
# This is an example
REPLACE_EXAMPLE="
/system/app/Youtube
/system/priv-app/SystemUI
/system/priv-app/Settings
/system/framework
"

# Construct your own list here
REPLACE="
"

# Set what you want to display when installing your module
print_modname() {
ui_print " ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
sleep 1.5
ui_print "Mvast is always your choice"
sleep 1.5
ui_print ""
ui_print "Powered by REXX FLOSS™"
ui_print " ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━"
sleep 1.5

unzip -o "$ZIPFILE" 'mvast/*' -d $MODPATH >&2

if [[ -e /data/adb/modules/mvast-kt ]]; then
echo "Mvast Kernel Tweak Detected"
echo "Removing...."
rm -rf /data/adb/modules/mvast-kt
fi
sleep 1
if [[ -e /data/adb/modules/mvast ]]; then
echo "Mvast Detected"
echo "Removing...."
rm -rf /data/adb/modules/mvast
fi

}

set_permissions() {
  set_perm_recursive $MODPATH 0 0 0755 0644
  set_perm_recursive $MODPATH/mvast 0 0 0777 0755
}