#!/system/bin/sh

#____________________________________
# Copyright © REXX FLOSS™
# Manual Obfuscate By Visk44
# By zyarexx, visk44
#____________________________________

sleep 10

touch /storage/emulated/0/MvastUniversal.log

echo "•> Mvast Revolution Universal Exec At $(date +"%d-%m-%Y %r" )" >> /storage/emulated/0/MvastUniversal.log

for p in /proc/sys/kernel/{compat-log,kernel.panic_on_warn,panic,panic_on_oops,softlockup_panic,perf_cpu_time_max_percent,nmi_watchdog,sched_walt_init_task_load_pct,sched_tunable_scaling}; do echo 0 > $p; done
[ -e /sys/android_touch/vib_strength ] && echo 0 > /sys/android_touch/vib_strength
echo "•> Boost Performance Exec At $(date +"%d-%m-%Y %r" )" >> /storage/emulated/0/MvastUniversal.log
[ -e /sys/kernel/debug/sched_features ] && for f in NO_GENTLE_FAIR_SLEEPERS NO_HRTICK NO_DOUBLE_TICK NO_RT_RUNTIME_SHARE NEXT_BUDDY NO_TTWU_QUEUE UTIL_EST ARCH_CAPACITY ARCH_POWER; do echo $f > /sys/kernel/debug/sched_features; done
[ -e "/sys/module/xhci_hcd/parameters/wl_divide" ] && echo "N" > /sys/module/xhci_hcd/parameters/wl_divide
[ -e /sys/class/misc/boeffla_wakelock_blocker/wakelock_blocker ] && echo "wlan_pno_wl;wlan_ipa;wcnss_filter_lock;[timerfd];hal_bluetooth_lock;IPA_WS;sensor_ind;wlan;netmgr_wl;qcom_rx_wakelock;SensorService_wakelock;tftp_server_wakelock;wlan_wow_wl;wlan_extscan_wl;" > /sys/class/misc/boeffla_wakelock_blocker/wakelock_blocker
for i in $(find /sys/class/net -type l); do echo "128" > $i/tx_queue_len; done
echo "2" > /sys/module/tcp_cubic/parameters/hystart_detect
# Miscellaneous
for m in /sys/kernel/printk_mode/printk_mode /sys/module/msm_thermal/{parameters/enabled,vdd_restriction/enabled} /sys/module/mmc_core/parameters/use_spi_crc /sys/block/sde/queue/read_ahead_kb /sys/block/sdf/queue/read_ahead_kb; do echo 0 > $m; done
[ -e /sys/class/lcd/panel/power_reduce ] && echo "1" > /sys/class/lcd/panel/power_reduce
# Sound Boost
for s in /sys/kernel/sound_control/{headphone_gain,mic_gain,earpiece_gain}; do echo ${s##*/} | cut -d '_' -f 1 | tr -d 'a-z' > $s; done
DIR=$(find /sys/module -name high_perf_mode) && busybox echo "1" > $DIR
# Disable Logs & Debugging Apps
for d in /sys/module/{bluetooth/{parameters/disable_ertm,parameters/disable_esco},dwc3/{parameters/ep_addr_rxdbg_mask,parameters/ep_addr_txdbg_mask,dwc3_msm/parameters/disable_host_mode},hid_apple/parameters/fnmode,hid/{parameters/ignore_special_drivers,magicmouse/parameters/{emulate_3button,emulate_scroll_wheel,scroll_speed}},workqueue/parameters/power_efficient,sync/parameters/fsync_enabled,binder/parameters/debug_mask,debug/parameters/enable_event_log,glink/parameters/debug_mask,ip6_tunnel/parameters/log_ecn_error,subsystem_restart/parameters/{enable_ramdumps,disable_restart_work},lowmemorykiller/parameters/debug_level,msm_show_resume_irq/parameters/debug_mask,msm_smd_pkt/parameters/debug_mask,sit/parameters/log_ecn_error,smp2p/parameters/debug_mask,usb_bam/parameters/enable_event_log,printk/parameters/{console_suspend,ignore_loglevel}}; do echo ${d##*/} | tr -d 'a-z_' > $d; done
for i in $(find /sys/ -name debug_mask); do echo "0" > $i; done
for i in $(find /sys/ -name debug_level); do echo "0" > $i; done
for i in $(find /sys/ -name edac_mc_log_ce); do echo "0" > $i; done
for i in $(find /sys/ -name edac_mc_log_ue); do echo "0" > $i; done
for i in $(find /sys/ -name enable_event_log); do echo "0" > $i; done
for i in $(find /sys/ -name log_ecn_error); do echo "0" > $i; done
for i in $(find /sys/ -name snapshot_crashdumper); do echo "0" > $i; done
[ -e /sys/module/logger/parameters/log_mode ] && echo "2" > /sys/module/logger/parameters/log_mode
# TCP Available Congestion Control
string4=/proc/sys/net/ipv4/tcp_available_congestion_control
westwood=false
grep 'westwood' $string4 && westwood=true
if [ "$westwood" == "true" ]; then
	[ -e $string4 ] && for t in /proc/sys/net/ipv4/{tcp_congestion_control,tcp_ecn,tcp_dsack,tcp_low_latency,tcp_timestamps,tcp_sack,tcp_window_scaling} /proc/sys/net/core/netdev_max_backlog /proc/sys/net/core/netdev_tstamp_prequeue /proc/sys/net/ipv4/ipfrag_time /proc/sys/net/ipv4/tcp_fastopen /proc/sys/net/ipv4/tcp_fack /proc/sys/net/ipv4/tcp_delayed_ack /proc/sys/net/ipv4/tcp_tw_reuse /proc/sys/net/ipv4/tcp_fwmark_accept /proc/sys/net/ipv4/tcp_keepalive_{intvl,time} /proc/sys/net/ipv4/tcp_no_metrics_save /proc/sys/net/ipv4/tcp_slow_start_after_idle /proc/sys/net/ipv6/ip6frag_time; do echo ${t##*/} | tr -d 'a-z_' > $t; done
else
	[ -e $string4 ] && for t in /proc/sys/net/ipv4/{tcp_congestion_control,tcp_ecn,tcp_dsack,tcp_low_latency,tcp_timestamps,tcp_sack,tcp_window_scaling}; do echo ${t##*/} | tr -d 'a-z_' > $t; done
fi
# SQLite Optimisation
for i in $(busybox find /data /dbdata /datadata /sdcard -iname "*.db"); do /system/xbin/sqlite3 $i 'VACUUM;'; /system/xbin/sqlite3 $i 'REINDEX;'; done
sleep 3
# File system tweaks
for f in /proc/sys/fs/{dir-notify-enable,lease-break-time} /proc/sys/fs/aio-max-nr; do echo ${f##*/} | tr -d 'a-z-' > $f; done
# System Cleaner
for c in /data/{anr,system/usagestats,tombstones}/*.{log,txt}; do rm -f $c; done
# CPU Performance
sync
write(){ chmod 0644 "$1"; echo "$2" >"$1"; }
for cpu in /sys/devices/system/cpu/cpu*/cpufreq; do for governor in schedutil; do [[ "$(cat "$cpu/scaling_available_governors")" == *"$governor"* ]] && write "$cpu/scaling_governor" "$governor" && break; done; done
for freq in /sys/module/msm_performance/parameters/cpu_max_freq /sys/devices/system/cpu/cpu{0..7}/cpufreq/scaling_max_freq; do echo ${freq##*/} | tr -d 'a-z_' > $freq; done
echo '1' > /sys/module/msm_performance/parameters/touchboost
echo '888000000' > /sys/class/kgsl/kgsl-3d0/max_gpuclk
echo 'bfq' > /sys/block/mmcblk{0,1}/queue/scheduler
for gov in /sys/devices/system/cpu/cpu{0..7}/cpufreq/scaling_governor; do echo 'interactivex' > $gov; done

su -lp 2000 -c "cmd notification post -S bigtext -t 'Mvast Revolution Universal' 'tag4' '
Installed successfully, enjoy!
'" >/dev/null 2>&1;